# $Revision: 1.34 $, $Date: 2012/02/07 22:03:30 $
Summary:	Arkanoid clone
Summary(pl.UTF-8):	Klon Arkanoida
Name:		lbreakout2
Version:	2.6.3
Release:	3
License:	GPL v2+
Group:		X11/Applications/Games
Source0:	http://downloads.sourceforge.net/lgames/%{name}-%{version}.tar.gz
# Source0-md5:	43900187bc935475cd6489569cd2230a
Source1:	%{name}.desktop
Source2:	%{name}.png
Patch0:		%{name}-useless_files.patch
URL:		http://lgames.sourceforge.net/index.php?project=LBreakout2
BuildRequires:	SDL-devel >= 1.1.5
BuildRequires:	SDL_mixer-devel
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gettext-devel
BuildRequires:	libpng-devel
BuildRequires:	rpmbuild(macros) >= 1.268
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_localstatedir	/var/games

%description
LBreakout is a breakout game with nice graphics, effects and sound.
You can play it either with mouse or keyboard and you can create your
own levels.

%description -l pl.UTF-8
LBreakout to gra breakout z przyjemną grafiką, efektami i dźwiękiem.
Można grać myszą lub klawiaturą oraz tworzyć własne poziomy.

%prep
%setup -q
%patch0 -p1

%build
%{__aclocal}
%{__autoconf}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT{%{_desktopdir},%{_pixmapsdir}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}
install %{SOURCE2} $RPM_BUILD_ROOT%{_pixmapsdir}

%find_lang %{name} --all-name

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README TODO docs/*{html,jpg}
%attr(755,root,root) %{_bindir}/lbreakout2*
%{_datadir}/lbreakout2
%attr(664,root,games) %config(noreplace) %verify(not md5 mtime size) /var/games/lbreakout*
%{_desktopdir}/*.desktop
%{_pixmapsdir}/*.png

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: lbreakout2.spec,v $
Revision 1.34  2012/02/07 22:03:30  arekm
- release 3

Revision 1.33  2011/12/20 19:37:47  arekm
- release 2

Revision 1.32  2011/03/10 09:20:21  uzsolt
- 2.6.3

Revision 1.31  2010/10/06 08:13:12  lisu
- updated to 2.6.2
- add -useless_files.patch

Revision 1.30  2010/01/19 21:00:04  sparky
- BR: gettext-devel

Revision 1.29  2010/01/19 14:50:36  lisu
- up to 2.6.1

Revision 1.28  2009/11/10 11:38:15  lisu
- up to 2.6
- -printf-security.patch applied upstream
- %%find_lang macro
- do not give global privileges for non-root uig and gid
- new icon

Revision 1.27  2007/02/13 06:46:50  glen
- tabs in preamble

Revision 1.26  2007/02/12 00:49:01  baggins
- converted to UTF-8

Revision 1.25  2005/12/13 11:54:17  glen
- adalterized (sorted %verify flags)

Revision 1.24  2005/01/14 12:50:26  wolf
- 2.5.2

Revision 1.23  2004/09/26 15:38:51  paladine
- updated to 2.5.1

Revision 1.22  2004/08/30 21:14:12  qboosh
- updated to final 2.5, updated printf-security patch

Revision 1.21  2004/07/04 17:29:54  qboosh
- updated to 2.5beta-8, updated printf-security patch

Revision 1.20  2004/02/03 21:42:11  qboosh
- added printf-security patch (remote format bugs and few possibly overflows);
  should fix BID 8021
- switched to desktopdir, release .2 for Ac

Revision 1.19  2003/07/21 08:15:11  qboosh
- mark beta in release, removed obsolete png-conflict patch

Revision 1.18  2003/07/18 20:56:20  ciril
- Updated to 2.5beta-3

Revision 1.17  2003/05/27 09:32:45  trojan
- added Source-md5

Revision 1.16  2003/05/25 05:49:39  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.15  2003/04/03 08:53:37  qboosh
- standardized Source0 URL

Revision 1.14  2003/03/08 20:59:23  areq
- 2.4.1

Revision 1.13  2003/01/18 22:53:33  juandon
- removed two lines with define

Revision 1.12  2002/12/18 17:15:02  wolf
- 2.4

Revision 1.11  2002/10/16 11:57:27  krolik

- updated to new 2.3.6 version

Revision 1.10  2002/10/09 13:14:36  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.9  2002/10/05 08:50:32  qboosh
- removed gcc3 ICE workaround (fixed by gcc-mmx-ice.patch)

Revision 1.8  2002/09/25 08:16:00  trojan
- updated to 2.3.5

Revision 1.7  2002/09/17 22:41:17  qboosh
- added workaround for gcc3 ICE

Revision 1.6  2002/09/04 21:00:22  qboosh
- added png-conflict patch, fixed doc - builds now

Revision 1.5  2002/08/31 09:51:38  trojan
- updated to 2.3.2
- NFY: I don't now how solve conflict /usr/include/png.h with
  $(top_src_dir)/client/png.h

Revision 1.4  2002/05/21 23:13:42  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.3  2002/03/24 23:28:20  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.2  2002/03/01 09:05:30  kloczek
- moved desktop file to Games/Arcade,
- cosmetics.

Revision 1.1  2002/02/28 09:06:58  wolf
- based on lbreakout.spec
